      subroutine get_vbc

      use Agrif_Types, only : Agrif_tabvars

      implicit none

      integer(4), parameter :: LLm0 = 41
      integer(4), parameter :: MMm0 = 42
      integer(4), parameter :: N = 32
      integer(4), parameter :: NP_XI = 1
      integer(4), parameter :: NP_ETA = 4
      integer(4), parameter :: NNODES = NP_XI*NP_ETA
      integer(4), parameter :: NPP = 1
      integer(4), parameter :: NSUB_X = 1
      integer(4), parameter :: NSUB_E = 1
      integer(4), parameter :: NWEIGHT = 1000
      integer(4), parameter :: stdout = 6
      integer(4), parameter :: Np = N+1
      integer(4), parameter :: NSA = 28
      real, parameter :: Vtransform = 2
      integer(4), parameter :: itemp = 1
      integer(4), parameter :: ntrc_temp = 1
      integer(4), parameter :: ntrc_salt = 1
      integer(4), parameter :: ntrc_pas = 0
      integer(4), parameter :: ntrc_bio = 0
      integer(4), parameter :: ntrc_subs = 0
      integer(4), parameter :: ntrc_substot = 0
      integer(4), parameter :: ntrc_sed = 0
      integer(4), parameter :: NTA = itemp+ntrc_salt
      integer(4), parameter :: NT = itemp+ntrc_salt+ntrc_pas+ntrc_bio+nt
     &rc_sed
      integer(4), parameter :: NTot = NT
      integer(4), parameter :: isalt = itemp+1
      integer(4), parameter :: ntrc_diabio = 0
      integer(4), parameter :: ntrc_diats = 0
      integer(4), parameter :: ntrc_diauv = 0
      integer(4), parameter :: ntrc_diavrt = 0
      integer(4), parameter :: ntrc_diaek = 0
      integer(4), parameter :: ntrc_diapv = 0
      integer(4), parameter :: ntrc_diaeddy = 0
      integer(4), parameter :: ntrc_surf = 0
#include "Param_BeforeCall_get_vbc.h"
                   

                                            
                             
                                            

                                                             
                                                            
                                           
                                                               
                                    
                                      
                                                          

                       

                                    

                        
                              

                                          
                                             
                          

                        

                                          
                        

                                                        
                      
                              

                                       
                                                                     
                                          
                         

                             

                             

                            

                            

                                             

                            

                                     

                                                               

                         

                                                      
                                                      
                                                                  
                               

                               

                              

                              

                               

                              

                              

                                

                             

      call get_bulk
      return
      end
      subroutine set_vbc (tile)      


      use Agrif_Util
#include "Param_BeforeCall_set_vbc.h"
      integer(4) :: tile
      

        call Sub_Loop_set_vbc(tile, Agrif_tabvars_i(15)%iarray0, Agrif_t
     &abvars(117)%array3, Agrif_tabvars_i(8)%iarray0, Agrif_tabvars_i(7)
     &%iarray0, Agrif_tabvars_i(16)%iarray0)

      end


#include "Sub_Loop_set_vbc.h"
      subroutine set_vbc_tile (Istr,Iend,Jstr,Jend, wrk,wrk1,wrk2)      

      use Agrif_Util
#include "Param_BeforeCall_set_vbc_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: wrk
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: wrk1
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: wrk2
      

        call Sub_Loop_set_vbc_tile(Istr,Iend,Jstr,Jend,wrk,wrk1,wrk2, Ag
     &rif_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabva
     &rs_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars(215)%a
     &rray2, Agrif_tabvars(250)%array3, Agrif_tabvars(264)%array2, Agrif
     &_tabvars(265)%array2, Agrif_tabvars(143)%array3, Agrif_tabvars_r(3
     &)%array0, Agrif_tabvars_r(13)%array0, Agrif_tabvars_r(14)%array0, 
     &Agrif_tabvars(257)%array2, Agrif_tabvars(258)%array2, Agrif_tabvar
     &s(150)%array4, Agrif_tabvars(149)%array4, Agrif_tabvars_r(15)%arra
     &y0, Agrif_tabvars_r(16)%array0, Agrif_tabvars(146)%array3, Agrif_t
     &abvars(142)%array3, Agrif_tabvars(76)%array2, Agrif_tabvars_i(154)
     &%iarray0, Agrif_tabvars(148)%array5, Agrif_tabvars(240)%array3, Ag
     &rif_tabvars_l(13)%larray0, Agrif_tabvars_l(14)%larray0, Agrif_tabv
     &ars_l(11)%larray0, Agrif_tabvars_l(12)%larray0)

      end


#include "Sub_Loop_set_vbc_tile.h"
